onEvent(`recipes`, event => {
	event.replaceInput({id: `create:crafting/kinetics/large_cogwheel`}, `#minecraft:wooden_buttons`, `minecraft:stick`)
	//event.replaceInput({id: `create:crafting/kinetics/large_cogwheel`}, `#minecraft:planks`, `minecraft:stick`)
	
	event.shaped(`create:cogwheel`, [
		` S `,
		`SAS`,
		` S `
	], {
		S: `minecraft:stick`,
		A: `create:andesite_alloy`
	}).id(`create:crafting/kinetics/cogwheel`)
	
	event.replaceInput({id: `creategears:large_gear`}, `#minecraft:wooden_buttons`, `minecraft:stick`)
	//event.replaceInput({id: `creategears:large_gear`}, `#minecraft:planks`, `minecraft:stick`)
	
	event.shaped(`creategears:gear`, [
		` S `,
		`S S`,
		` S `
	], {
		S: `minecraft:stick`,
	}).id(`creategears:gear`)
	
	
	event.shaped(`1x create:belt_connector`, [
		`   `,
		`BBB`,
		`BBB`
	], {
		B: `#samtext:beltables`,
	}).id(`create:crafting/kinetics/belt_connector`)
	
	//event.replaceOutput({id: `create:crafting/materials/andesite_alloy`}, `create:andesite_alloy`, `4x minecraft:stone`)
	
	metals.forEach(material => event.recipes.createCrushing(`emendatusenigmatica:${material}_dust`, `#forge:ingots/${material}`))
	//metals.forEach(material => event.recipes.createMilling(`emendatusenigmatica:${material}_dust`, `#forge:ingots/${material}`))

	event.recipes.createCrushing(`emendatusenigmatica:coal_dust`, `minecraft:coal`)
	event.recipes.createCrushing(`emendatusenigmatica:iron_dust`, `#forge:ingots/iron`)
	
	event.recipes.createMixing(`emendatusenigmatica:steel_ingot`, [
		`#forge:dusts/iron`,
		`#forge:dusts/coal`
	]).heated()
	
	
	event.remove({type: `createaddition:rolling`})
	event.remove({output: `createaddition:rolling_mill`})
	
	
	//event.remove({type: `create:blasting`, output: `emendatusenigmatica:osmium_ingot`})
	
	
})

/*onEvent('item.tooltip', tooltip => {
	// Add tooltip to all of these items
	//tooltip.add([`createaddition:rolling_mill`], `DISABLED BY PACK`)
	tooltip.addAdvanced(`createaddition:rolling_mill`, (item, advanced, text) => {
		text.add(6, Text.of('DISABLED BY PACK')) // Adds text in first line, replacing title. If you want 2nd line, the index must be 1
	})
})*/
